Skip to main content
Version: 15.2.0

Nexi

In this page you will find the required information to perform REST calls related to the Nexi payment provider.

Payment MethodPaymentRefundAutomatic SubscriptionManual Subscription
credit-cards✓✓
Enabled
Pay By Link✗

Endpoints​

Every Nexi endpoint has this prefix path /v3/nexi

Pay​

POST /{payment-method}/pay

This endpoint allows to execute payments via the Nexi payment provider.

You can always define the following optional fields in providerData:

{
[...]
"providerData": {
"language": "string", // ISO 639-2
"expirationDate": "string", // format YYYY-MM-DD
}
}

The payment response can have the following result codes:

  • REDIRECT_TO_URL: the payment was successfully submitted
  • KO: the payment failed

Refund​

POST /refund

This endpoint allows to refund an already executed payment via the Nexi provider.

The request body does not require any provider-specific data.

Status​

GET /status?paymentId={paymentId} This endpoint allows to get the current status of the payment identified by the required query parameter paymentId.

Mapping​

The status received by the provider will be mapped according to the following table:

Provider StatusPlugin Status
AUTHORIZEDACCEPTED
EXECUTEDACCEPTED
VOIDEDACCEPTED
REFUNDEDACCEPTED
DECLINEDFAILED
DENIED_BY_RISKFAILED
THREEDS_FAILEDFAILED
CANCELEDFAILED
FAILEDFAILED
THREEDS_VALIDATEDPENDING
PENDINGPENDING

Check​

GET /check?paymentId={paymentId} This endpoint allows to get the current status of the payment identified by the required query parameter paymentId and also to send a notification to the external service as specified by PAYMENT_CALLBACK_URL environment variable.

Callback​

POST /callback This endpoint should only be called by Nexi.